<?xml version="1.0" encoding="UTF-8"?>
<archetype-descriptor
  xsi:schemaLocation="https://maven.apache.org/plugins/maven-archetype-plugin/archetype-descriptor/1.1.0 http://maven.apache.org/xsd/archetype-descriptor-1.1.0.xsd"
  name="project"
  xmlns="https://maven.apache.org/plugins/maven-archetype-plugin/archetype-descriptor/1.1.0"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <requiredProperties>
    <requiredProperty key="groupId">
      <defaultValue>edu.byu.hbll</defaultValue>
    </requiredProperty>
    <requiredProperty key="artifactId" />
    <requiredProperty key="version">
      <defaultValue>1.0.0</defaultValue>
    </requiredProperty>
    <requiredProperty key="package">
      <defaultValue>${groupId.replaceAll(".maven$","")}.${artifactId.replaceAll("\W","")}</defaultValue>
    </requiredProperty>
    <requiredProperty key="description" />
    <requiredProperty key="iname">
      <defaultValue>${#foreach($word in $artifactId.split('-'))$word.substring(0,1).toUpperCase()$word.substring(1)#end}</defaultValue>
    </requiredProperty>
    <requiredProperty key="name">
      <defaultValue>${iname.replaceAll("\W","")}</defaultValue>
    </requiredProperty>
    <!-- .gitignore will not be copied over without this workaround -->
    <!-- https://stackoverflow.com/a/49052349/1530184 -->
    <requiredProperty key="gitignore">
      <defaultValue>.gitignore</defaultValue>
    </requiredProperty>
  </requiredProperties>
  <fileSets>
    <fileSet filtered="true" packaged="true" encoding="UTF-8">
      <directory>src/main/java</directory>
    </fileSet>
    <fileSet filtered="true" encoding="UTF-8">
      <directory>src/main/resources</directory>
    </fileSet>
    <fileSet filtered="true" packaged="true" encoding="UTF-8">
      <directory>src/test/java</directory>
    </fileSet>
    <fileSet filtered="true" encoding="UTF-8">
      <directory>src/test/resources</directory>
    </fileSet>
    <fileSet filtered="true" encoding="UTF-8">
      <directory></directory>
      <includes>
        <include>.devcontainer/devcontainer.json</include>
        <include>.gitlab-ci.yml</include>
      </includes>
    </fileSet>
    <fileSet encoding="UTF-8">
      <directory></directory>
      <includes>
        <include>*</include>
        <include>src/lombok.config</include>
      </includes>
      <excludes>
        <exclude>.devcontainer</exclude>
        <exclude>.gitlab-ci.yml</exclude>
        <exclude>pom.xml</exclude>
        <exclude>src</exclude>
      </excludes>
    </fileSet>
  </fileSets>
</archetype-descriptor>